首页新闻找找看学习计划

VS2017无法创建.NET Framework 4.7.1项目

0
悬赏园豆:30 [已解决问题] 解决于 2017-11-06 14:54

安装了 .NET Framework 4.7.1 ,但 Visual Stuio 2017 依然无法创建 .NET 4.7.1 的项目

问题补充:

Visual Stuio 2017 的版本是 15.4.2

dudu的主页 dudu | 高人七级 | 园豆:41322
提问于:2017-11-06 13:20
< >
分享
最佳答案
0

这个.NET Framework 4.7 组件 选了吗?(在Visual Studio 安装程序里面的)

这个选中,安装好,再打开 Visual Studio 里面,应该是有4.7 选项的。

收获园豆:30
BUTTERAPPLE | 老鸟四级 |园豆:2918 | 2017-11-06 13:34

@BUTTERAPPLE: 嗯,需要另外安装对应的 VS 2017 组件,但这里只有 4.7 ,没有 4.7.1 ,我的电脑上安装了 .NET Framework 4.7.1 ,也是没有。

dudu | 园豆:41322 (高人七级) | 2017-11-06 13:38

@dudu: 我在安装程序中安装了SDK 和目标包之后,在框架上选择上有4.7 的,因为计算机上安装不了 4.7.1 所以就不知道能不能显示 4.7.1了。查了下资料,window10 下个版本更新中,会内置4.7.1

BUTTERAPPLE | 园豆:2918 (老鸟四级) | 2017-11-06 13:51

@dudu: 已成功安装 4.7.1 并且已经有该框架选项

在该地址中,下载Dev-Pack 和 RunTime 后, 安装成功,重启后,就有了。

BUTTERAPPLE | 园豆:2918 (老鸟四级) | 2017-11-06 14:19

@BUTTERAPPLE: 安装 .NET Framework 4.7.1 Developer Pack 之后的确有了。

dudu | 园豆:41322 (高人七级) | 2017-11-06 14:54

另外,如果安装的是 Visual Studio 2017 15.5 Preview 2.0 ,不需要安装 .NET Framework 4.7.1 Developer Pack

dudu | 园豆:41322 (高人七级) | 2017-11-06 16:41
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册